Quassel IRC - Bug #220

Default Identity is created with the english language even if the client is using another language
07/23/2008 08:06 PM - ZRegis

Status: Resolved Start date:

Priority: Normal Due date:

Assignee: EgS % Done: 0%
Category: Translations Estimated time: 0.00 hour
Target version: 0.4.0

Version: 0.3.1+ 0S: Any
Description

Change to be language client dependant

History

#1 - 07/24/2008 01:06 PM - ZRegis

the language change is possible but the language remain wrong detected on Windows.

#2 - 07/24/2008 01:21 PM - E¢gS

Is that note another bug or does this really concern the Identity?
In any case we need a decent bug description:

- steps to reproduce

- expected result
- actual result

#3 - 07/25/2008 11:44 AM - ZRegis

- Clear all the saved setting by an preinstalled client in Windows.

- Use a distant Core unconfigured (could be on the same computer).

- Use a windows client ( non English) with the standard configuration.

- When the client is starting the all the interface remain in English ( see other bug) but change lang to locale.
Client is now in French.

Make the configuration of core.

Then go to identity. You see that de default created identity is not in locale but remain in English.

For me ( could be Identité par Défaut and i've Default Identity) quit and part message are also untranslated.
But if i create myself a new identity all messages are correct.

#4 - 12/28/2008 01:50 AM - Sputnick
- Priority changed from High to Normal

#5 - 01/26/2009 12:17 AM - EgS

- Status changed from New to Resolved
- Assignee set to EgS

- Target version set to 0.4.0

- Version setto 0.3.1+

Fixed in current git:
http://git.quassel-irc.org/?p=quassel.git;a=commit;h=93800658bba5dcbeca7{3deb02dd7091c455efe8

Note: this fix does not touch your existing identities.
